%define alphatag 20110531cvs

Summary: Reminder utility
Name:    calendar
Version: 1.26
Release: alt1_6.%{alphatag}
License: BSD
Group:   Office
URL:     http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/calendar

# The source archive is generated with the export-calendar-source.sh
# script.  Update the script's TAG variable when a new version of
# OpenBSD is released.  The version number we use for the calendar
# program is the CVS revision ID of the calendar.c file.  This is
# determined by the script so it can make the source archive.
Source0: %{name}-%{version}-%{alphatag}.tar.gz
Source1: Makefile.linux
Source2: export-calendar-source.sh

Patch0:  %{name}-1.26-linux.patch
Patch1:  %{name}-1.26-coding.patch


Requires: cpp
Source44: import.info

%description
The OpenBSD calendar command is a reminder utility.  Calendar reads
a mix of configuration files and standard calendar databases and
then displays lines that begin with either today's date or
tomorrow's.  The output of the command shows upcoming events for the
week.

%prep
%setup -q -n %{name}-%{version}-%{alphatag}
%patch0 -p1
%patch1 -p1
cp %{SOURCE1} Makefile

for c in calendars/*.*/* ; do
    fromcode="$(grep '^LANG=' "$c" | sed 's/^LANG=\(.*\)\.\(.*\)\(@.*\)\{0,1\}/\2/')"
    if [ ! -z "$fromcode" ]; then
        iconv -f "$fromcode" -t "UTF-8" "$c" > "$c.conv"
        mv "$c.conv" "$c"
    fi
done

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%attr(755,root,root) %{_bindir}/calendar
%{_mandir}/man1/calendar.1*
%{_datadir}/calendar

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.26-alt1_6.20110531cvs
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.26-alt1_5.20110531cvs
- update to new release by fcimport

* Thu Jun 07 2012 Igor Vlasenko <viy@altlinux.ru> 1.26-alt1_4.20110531cvs
- update to new fc release

